Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class ProjectConfigInfo

    java.lang.Object
      org.apache.cayenne.project.ProjectConfigInfo

Deprecated. since 3.0. `ProjectConfigurator` approach turned out to be not usable, and is in fact rarely used (if ever). It will be removed in subsequent releases.

    public class ProjectConfigInfo

extends Object

Stores project information necessary to reconfigure existing projects.

Field Summary
`protected File` | `altProjectFile` Deprecated.
`protected File` | `destJar` Deprecated.
`protected List<DataNodeConfigInfo>` | `nodes` Deprecated.
`protected File` | `sourceJar` Deprecated.

Constructor Summary
`ProjectConfigInfo()` Deprecated.

Method Summary
`void` | `addToNodes(DataNodeConfigInfo nodeInfo)` Deprecated.
`File` | `getAltProjectFile()` Deprecated. Returns the altProjectFile.
`File` | `getDestJar()` Deprecated. Returns the destJar.
`List<DataNodeConfigInfo>` | `getNodes()` Deprecated. Returns the nodes.
`File` | `getSourceJar()` Deprecated. Returns the sourceJar.
`void` | `setAltProjectFile(File altProjectFile)` Deprecated. Sets the altProjectFile.
`void` | `setDestJar(File destJar)` Deprecated. Sets the destJar.
`void` | `setNodes(List<DataNodeConfigInfo> nodes)` Deprecated. Sets the nodes.
`void` | `setSourceJar(File sourceJar)` Deprecated. Sets the sourceJar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceJar

    protected File sourceJar

  Deprecated.

### destJar

    protected File destJar

  Deprecated.

### altProjectFile

    protected File altProjectFile

  Deprecated.

### nodes

    protected List<DataNodeConfigInfo> nodes

  Deprecated.

Constructor Detail

### ProjectConfigInfo

    public ProjectConfigInfo()

  Deprecated.

Method Detail

### addToNodes

    public void addToNodes(DataNodeConfigInfo nodeInfo)

  Deprecated.

### getAltProjectFile

    public File getAltProjectFile()

  Deprecated.
  Returns the altProjectFile.

  Returns:
    File

### getDestJar

    public File getDestJar()

  Deprecated.
  Returns the destJar.

  Returns:
    File

### getNodes

    public List<DataNodeConfigInfo> getNodes()

  Deprecated.
  Returns the nodes.

  Returns:
    List

### getSourceJar

    public File getSourceJar()

  Deprecated.
  Returns the sourceJar.

  Returns:
    File

### setAltProjectFile

    public void setAltProjectFile(File altProjectFile)

  Deprecated.
  Sets the altProjectFile.

  Parameters:
    `altProjectFile` - The altProjectFile to set

### setDestJar

    public void setDestJar(File destJar)

  Deprecated.
  Sets the destJar.

  Parameters:
    `destJar` - The destJar to set

### setNodes

    public void setNodes(List<DataNodeConfigInfo> nodes)

  Deprecated.
  Sets the nodes.

  Parameters:
    `nodes` - The nodes to set

### setSourceJar

    public void setSourceJar(File sourceJar)

  Deprecated.
  Sets the sourceJar.

  Parameters:
    `sourceJar` - The sourceJar to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.